Subject: Re: linux-next: manual merge of the mmc tree with the samsung-krzk tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 13 Oct 2020 18:20:24 +1100

Hi all,

On Tue, 8 Sep 2020 14:46:22 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the mmc tree got a conflict in:
> 
>   drivers/mmc/host/Kconfig
> 
> between commits:
> 
>   cb6c03019cdd ("ARM: exynos: stop selecting PLAT_SAMSUNG")
>   db8230d29c3a ("ARM: s5pv210: don't imply CONFIG_PLAT_SAMSUNG")
> 
> from the samsung-krzk tree and commit:
> 
>   54d8454436a2 ("mmc: host: Enable compile testing of multiple drivers")
> 
> from the mmc tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> diff --cc drivers/mmc/host/Kconfig
> index 0d7c61d8d1d9,dc646359b4ff..000000000000
> --- a/drivers/mmc/host/Kconfig
> +++ b/drivers/mmc/host/Kconfig
> @@@ -289,7 -301,8 +301,8 @@@ config MMC_SDHCI_TEGR
>   
>   config MMC_SDHCI_S3C
>   	tristate "SDHCI support on Samsung S3C SoC"
> - 	depends on MMC_SDHCI && (PLAT_SAMSUNG || ARCH_S5PV210 || ARCH_EXYNOS)
> + 	depends on MMC_SDHCI
>  -	depends on PLAT_SAMSUNG || COMPILE_TEST
> ++	depends on PLAT_SAMSUNG || ARCH_S5PV210 || ARCH_EXYNOS || COMPILE_TEST
>   	help
>   	  This selects the Secure Digital Host Controller Interface (SDHCI)
>   	  often referrered to as the HSMMC block in some of the Samsung S3C

This is now a conflict between the mmc tree and the arm-soc tree.

-- 
Cheers,
Stephen Rothwell